@charset "UTF-8";

vui-checkbox {
    display: inline-block;
    --checkbox-main-color: var(--color-control-active);
    --checkbox-hover-color: var(--color-control-highlight);
    --checkbox-disabled-color: var(--color-control-inactive);
    --checkbox-text-color: var(--color-text-primary);
    --checkbox-disabled-text-color: var(--color-text-inactive);
    --checkbox-icon-color: var(--color-icon-inverted);
    --checkbox-label-font: var(--regular-l)
}

.checkbox_checkbox__3PfzU {
    font: var(--checkbox-label-font);
    display: block;
    position: relative;
    padding-left: var(--offset-md-m);
    color: var(--checkbox-text-color);
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-transition: color var(--transition-fastest) var(--cubic-ease-in-out);
    transition: color var(--transition-fastest) var(--cubic-ease-in-out)
}

.checkbox_checkbox__3PfzU .checkbox_icon__3_O2g {
    color: transparent
}

.checkbox_checkbox__3PfzU:not(.checkbox_disabled__2TWnY):hover .checkbox_checkmark__1-qxq {
    border-width: var(--border-width-l)
}

.checkbox_checkbox__3PfzU input {
    position: absolute;
    opacity: var(--opacity-0);
    top: 0;
    left: 0
}

.checkbox_checkmark__1-qxq {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    -ms-flex-pack: center;
    justify-content: center;
    position: absolute;
    top: 0;
    left: 0;
    width: var(--width-md-2xs);
    height: var(--width-md-2xs);
    border: var(--border-width-s) solid var(--checkbox-main-color);
    border-radius: var(--border-radius-s);
    -webkit-transition: background-color var(--transition-fastest) var(--cubic-ease-in-out), border-color var(--transition-fastest) var(--cubic-ease-in-out), border-width var(--transition-fastest) var(--cubic-ease-in-out);
    transition: background-color var(--transition-fastest) var(--cubic-ease-in-out), border-color var(--transition-fastest) var(--cubic-ease-in-out), border-width var(--transition-fastest) var(--cubic-ease-in-out)
}

.checkbox_icon__3_O2g {
    visibility: hidden;
    color: var(--checkbox-icon-color)
}

.checkbox_checked__zQqOq .checkbox_checkbox__3PfzU {
    color: var(--checkbox-text-color)
}

.checkbox_checked__zQqOq:not(.checkbox_disabled__2TWnY):hover .checkbox_checkmark__1-qxq {
    border-color: var(--checkbox-hover-color);
    background-color: var(--checkbox-hover-color)
}

.checkbox_checked__zQqOq .checkbox_checkmark__1-qxq {
    border-color: var(--checkbox-main-color);
    background-color: var(--checkbox-main-color)
}

.checkbox_checked__zQqOq .checkbox_icon__3_O2g {
    visibility: visible;
    color: var(--checkbox-icon-color)
}

.checkbox_checked__zQqOq .checkbox_disabled__2TWnY .checkbox_checkmark__1-qxq,
.checkbox_checked__zQqOq .checkbox_disabled__2TWnY:hover .checkbox_checkmark__1-qxq {
    border-color: var(--checkbox-disabled-color);
    background-color: var(--checkbox-disabled-color)
}

.checkbox_disabled__2TWnY {
    color: var(--checkbox-disabled-text-color);
    cursor: not-allowed
}

.checkbox_disabled__2TWnY .checkbox_checkmark__1-qxq {
    border-color: var(--checkbox-disabled-color)
}